DROP TABLE IF EXISTS `dc_info`;
CREATE TABLE `dc_info` (
  `info_id` bigint(20) NOT NULL,
  `info_name` varchar(255) DEFAULT NULL,
  `info_slug` varchar(255) DEFAULT NULL,
  `info_excerpt` text,
  `info_content` longtext,
  `info_password` varchar(255) DEFAULT NULL,
  `info_create_time` int(11) DEFAULT '0',
  `info_update_time` int(11) DEFAULT '0',
  `info_parent` bigint(20) DEFAULT '0',
  `info_order` int(11) DEFAULT '0',
  `info_user_id` bigint(20) DEFAULT '0',
  `info_type` varchar(100) DEFAULT NULL,
  `info_mime_type` varchar(100) DEFAULT NULL,
  `info_status` varchar(60) DEFAULT 'normal',
  `info_comment_status` varchar(100) DEFAULT 'open',
  `info_comment_count` bigint(20) DEFAULT '0',
  `info_views` bigint(20) DEFAULT '0',
  `info_hits` bigint(20) DEFAULT '0',
  `info_module` varchar(100) DEFAULT 'common',
  `info_controll` varchar(100) DEFAULT NULL,
  `info_action` varchar(100) DEFAULT NULL,
  `info_title` varchar(255) DEFAULT NULL,
  `info_keywords` varchar(255) DEFAULT NULL,
  `info_description` varchar(255) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `dc_info_meta`;
CREATE TABLE `dc_info_meta` (
  `info_meta_id` bigint(20) NOT NULL,
  `info_meta_key` varchar(255) NOT NULL,
  `info_meta_value` longtext,
  `info_id` bigint(20) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `dc_log`;
CREATE TABLE `dc_log` (
  `log_id` bigint(20) NOT NULL,
  `log_user_id` bigint(20) NOT NULL DEFAULT '0',
  `log_info_id` bigint(20) NOT NULL DEFAULT '0',
  `log_value` int(11) NOT NULL DEFAULT '0' COMMENT '整数值',
  `log_decimal` decimal(18,2) NOT NULL DEFAULT '0.00' COMMENT '小数值',
  `log_status` varchar(60) NOT NULL DEFAULT 'normal',
  `log_module` varchar(150) DEFAULT NULL,
  `log_controll` varchar(150) DEFAULT NULL,
  `log_action` varchar(150) DEFAULT NULL,
  `log_type` varchar(100) DEFAULT NULL,
  `log_ip` varchar(250) DEFAULT NULL,
  `log_name` varchar(250) DEFAULT NULL,
  `log_info` tinytext,
  `log_create_time` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `dc_op`;
CREATE TABLE `dc_op` (
  `op_id` bigint(20) NOT NULL,
  `op_name` varchar(150) NOT NULL,
  `op_value` longtext,
  `op_module` varchar(50) DEFAULT NULL,
  `op_controll` varchar(50) DEFAULT NULL,
  `op_action` varchar(50) DEFAULT NULL,
  `op_order` int(11) DEFAULT '0',
  `op_autoload` varchar(20) DEFAULT 'yes',
  `op_status` varchar(60) DEFAULT 'normal'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `dc_op` (`op_id`, `op_name`, `op_value`, `op_module`, `op_controll`, `op_action`, `op_order`, `op_autoload`, `op_status`) VALUES
(1, 'site_route', 'a:5:{s:4:\"rule\";s:1:\"/\";s:7:\"address\";s:17:\"index/index/index\";s:6:\"method\";s:3:\"get\";s:6:\"option\";s:0:\"\";s:7:\"pattern\";s:0:\"\";}', 'common', 'route', '', 0, 'no', 'normal'),
(2, 'app_debug', 'off', 'common', '', '', 0, 'yes', 'normal'),
(3, 'app_domain', 'off', 'common', '', '', 0, 'yes', 'normal'),
(4, 'site_status', 'on', 'common', '', '', 0, 'yes', 'normal'),
(5, 'site_name', 'DaiCuo', 'common', '', '', 0, 'yes', 'normal'),
(6, 'site_domain', 'www.daicuo.net', 'common', '', '', 0, 'yes', 'normal'),
(7, 'wap_domain', '', 'common', '', '', 0, 'yes', 'normal'),
(8, 'site_theme', 'default_pc', 'common', '', '', 0, 'yes', 'normal'),
(9, 'wap_theme', 'default_wap', 'common', '', '', 0, 'yes', 'normal'),
(10, 'site_icp', '', 'common', '', '', 0, 'yes', 'normal'),
(11, 'site_secret', 'abcdefghijklmnopqrst', 'common', '', '', 0, 'yes', 'normal'),
(12, 'site_tongji', '', 'common', '', '', 0, 'yes', 'normal'),
(13, 'site_close', '网站升级中~~~', 'common', '', '', 0, 'yes', 'normal'),
(14, 'site_title', '呆错后台管理框架', 'index', '', '', 0, 'yes', 'normal'),
(15, 'site_keywords', '欢迎使用呆错（DaiCuo）开发您的项目', 'index', '', '', 0, 'yes', 'normal'),
(16, 'site_description', '基于ThinkPHP、Bootstrap、Jquery的极速后台开发框架', 'index', '', '', 0, 'yes', 'normal'),
(17, 'theme', 'default_pc', 'index', '', '', 0, 'yes', 'normal'),
(18, 'theme_wap', 'default_wap', 'index', '', '', 0, 'yes', 'normal'),
(21, 'site_applys', 'a:1:{s:5:\"index\";a:10:{s:6:\"module\";s:5:\"index\";s:4:\"name\";s:6:\"首页\";s:4:\"info\";s:99:\"首页插件是默认自带的应用，主要的是提供插件开发、安装、卸载的演示！\";s:7:\"version\";s:5:\"1.0.0\";s:3:\"ico\";s:7:\"fa-home\";s:6:\"subico\";s:7:\"fa-gear\";s:3:\"nav\";s:6:\"首页\";s:6:\"subnav\";a:1:{i:0;a:4:{s:5:\"title\";s:12:\"基本设置\";s:8:\"controll\";s:5:\"index\";s:6:\"action\";s:5:\"index\";s:4:\"link\";s:63:\"/admin.php/addon/index?module=index&controll=admin&action=index\";}}s:8:\"datatype\";a:2:{i:0;s:6:\"sqlite\";i:1;s:5:\"mysql\";}s:4:\"rely\";a:1:{s:6:\"daicuo\";a:1:{i:0;s:7:\"1.2.0-9\";}}}}', 'common', '', '', 0, 'yes', 'normal'),
(22, 'site_title', '呆错后台管理框架', 'index', 'admin', 'update', 0, 'yes', 'normal'),
(23, 'site_keywords', '欢迎使用呆错（DaiCuo）开发您的项目', 'index', 'admin', 'update', 0, 'yes', 'normal'),
(24, 'site_description', '基于ThinkPHP、Bootstrap、Jquery的极速后台开发框架', 'index', 'admin', 'update', 0, 'yes', 'normal'),
(25, 'theme', 'default_pc', 'index', 'admin', 'update', 0, 'yes', 'normal'),
(26, 'theme_wap', 'default_wap', 'index', 'admin', 'update', 0, 'yes', 'normal'),
(28, 'site_nav', 'a:10:{s:8:\"nav_text\";s:7:\"导航1\";s:10:\"nav_target\";s:6:\"_blank\";s:8:\"nav_type\";s:4:\"link\";s:7:\"nav_url\";s:24:\"http://www.daicuo.net/?1\";s:10:\"nav_module\";s:0:\"\";s:12:\"nav_controll\";s:0:\"\";s:10:\"nav_action\";s:0:\"\";s:10:\"nav_params\";s:0:\"\";s:7:\"nav_ico\";s:16:\"fa fa-fw fa-list\";s:10:\"nav_active\";s:0:\"\";}', '', '', '', 0, 'no', 'normal'),
(29, 'site_nav', 'a:11:{s:8:\"nav_text\";s:7:\"导航2\";s:10:\"nav_parent\";s:1:\"0\";s:10:\"nav_target\";s:6:\"_blank\";s:8:\"nav_type\";s:4:\"link\";s:7:\"nav_url\";s:24:\"http://www.daicuo.net/?2\";s:10:\"nav_module\";s:0:\"\";s:12:\"nav_controll\";s:0:\"\";s:10:\"nav_action\";s:0:\"\";s:10:\"nav_params\";s:0:\"\";s:7:\"nav_ico\";s:16:\"fa fa-fw fa-list\";s:10:\"nav_active\";s:0:\"\";}', '', '', '', 0, 'no', 'normal'),
(30, 'site_nav', 'a:11:{s:8:\"nav_text\";s:9:\"子导航\";s:10:\"nav_parent\";s:2:\"29\";s:10:\"nav_target\";s:6:\"_blank\";s:8:\"nav_type\";s:4:\"link\";s:7:\"nav_url\";s:26:\"http://www.daicuo.net/?2-1\";s:10:\"nav_module\";s:0:\"\";s:12:\"nav_controll\";s:0:\"\";s:10:\"nav_action\";s:0:\"\";s:10:\"nav_params\";s:0:\"\";s:7:\"nav_ico\";s:16:\"fa fa-fw fa-list\";s:10:\"nav_active\";s:0:\"\";}', '', '', '', 0, 'no', 'normal'),
(31, 'site_nav', 'a:11:{s:8:\"nav_text\";s:9:\"孙导航\";s:10:\"nav_parent\";s:2:\"30\";s:10:\"nav_target\";s:6:\"_blank\";s:8:\"nav_type\";s:4:\"link\";s:7:\"nav_url\";s:28:\"http://www.daicuo.net/?2-1-1\";s:10:\"nav_module\";s:0:\"\";s:12:\"nav_controll\";s:0:\"\";s:10:\"nav_action\";s:0:\"\";s:10:\"nav_params\";s:0:\"\";s:7:\"nav_ico\";s:16:\"fa fa-fw fa-list\";s:10:\"nav_active\";s:0:\"\";}', '', '', '', 0, 'no', 'normal'),
(32, 'site_hook', 'a:4:{s:9:\"hook_name\";s:18:\"admin_index_header\";s:9:\"hook_path\";s:23:\"app\\admin\\behavior\\Hook\";s:9:\"hook_info\";s:0:\"\";s:12:\"hook_overlay\";s:2:\"no\";}', 'common', 'hook', '', 0, 'no', 'normal'),
(33, 'editor', 'admin/addon/index?action=index', 'common', 'system', 'auth', 0, 'yes', 'normal'),
(34, 'editor', 'admin/addon/index?action=create', 'common', 'system', 'auth', 0, 'yes', 'normal'),
(35, 'editor', 'admin/addon/index?action=edit', 'common', 'system', 'auth', 0, 'yes', 'normal'),
(36, 'editor', 'admin/addon/index?action=save', 'common', 'system', 'auth', 0, 'yes', 'normal'),
(37, 'editor', 'admin/addon/index?action=update', 'common', 'system', 'auth', 0, 'yes', 'normal');

DROP TABLE IF EXISTS `dc_term`;
CREATE TABLE `dc_term` (
  `term_id` bigint(20) NOT NULL,
  `term_name` varchar(255) DEFAULT NULL,
  `term_slug` varchar(255) DEFAULT NULL,
  `term_module` varchar(100) DEFAULT 'common',
  `term_controll` varchar(100) DEFAULT 'common',
  `term_action` varchar(100) DEFAULT 'common',
  `term_status` varchar(60) DEFAULT 'normal',
  `term_order` int(11) DEFAULT '0',
  `term_type` varchar(100) DEFAULT NULL,
  `term_info` text,
  `term_parent` bigint(20) NOT NULL DEFAULT '0',
  `term_count` int(11) NOT NULL DEFAULT '0',
  `term_title` varchar(255) DEFAULT NULL,
  `term_keywords` varchar(255) DEFAULT NULL,
  `term_description` varchar(255) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `dc_term_map`;
CREATE TABLE `dc_term_map` (
  `detail_id` bigint(20) DEFAULT '0',
  `term_id` bigint(20) DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `dc_term_meta`;
CREATE TABLE `dc_term_meta` (
  `term_meta_id` bigint(20) NOT NULL,
  `term_meta_key` varchar(255) NOT NULL,
  `term_meta_value` longtext,
  `term_id` bigint(20) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `dc_user`;
CREATE TABLE `dc_user` (
  `user_id` bigint(20) NOT NULL,
  `user_email` varchar(150) DEFAULT NULL,
  `user_name` varchar(150) NOT NULL,
  `user_nick_name` varchar(255) DEFAULT NULL,
  `user_mobile` varchar(20) DEFAULT NULL,
  `user_pass` varchar(32) NOT NULL,
  `user_status` varchar(60) NOT NULL DEFAULT 'normal',
  `user_create_time` int(11) DEFAULT '0',
  `user_update_time` int(11) DEFAULT '0',
  `user_create_ip` varchar(32) DEFAULT NULL,
  `user_update_ip` varchar(32) DEFAULT NULL,
  `user_slug` varchar(255) DEFAULT NULL,
  `user_views` bigint(20) DEFAULT '0',
  `user_hits` bigint(20) DEFAULT '0',
  `user_token` varchar(255) DEFAULT NULL,
  `user_module` varchar(100) DEFAULT 'common',
  `user_controll` varchar(100) DEFAULT NULL,
  `user_action` varchar(100) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `dc_user` (`user_id`, `user_email`, `user_name`, `user_nick_name`, `user_mobile`, `user_pass`, `user_status`, `user_create_time`, `user_update_time`, `user_create_ip`, `user_update_ip`, `user_slug`, `user_views`, `user_hits`, `user_token`, `user_module`, `user_controll`, `user_action`) VALUES
(1, 'admin@daicuo.org', 'admin', '', '13800138000', '7fef6171469e80d32c0559f88b377245', 'normal', 0, 1599138991, '0', '127.0.0.1', '', 0, 0, NULL, 'common', '', '');

DROP TABLE IF EXISTS `dc_user_meta`;
CREATE TABLE `dc_user_meta` (
  `user_meta_id` bigint(20) NOT NULL,
  `user_meta_key` varchar(255) NOT NULL,
  `user_meta_value` longtext,
  `user_id` bigint(20) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

INSERT INTO `dc_user_meta` (`user_meta_id`, `user_meta_key`, `user_meta_value`, `user_id`) VALUES
(20, 'user_capabilities', 'a:2:{i:0;s:5:\"guest\";i:1;s:13:\"administrator\";}', 1);


ALTER TABLE `dc_info`
  ADD PRIMARY KEY (`info_id`),
  ADD KEY `info_type` (`info_type`),
  ADD KEY `info_module` (`info_module`),
  ADD KEY `info_controll` (`info_controll`),
  ADD KEY `info_action` (`info_action`),
  ADD KEY `info_slug` (`info_slug`),
  ADD KEY `info_status` (`info_status`),
  ADD KEY `info_parent` (`info_parent`),
  ADD KEY `info_user_id` (`info_user_id`);

ALTER TABLE `dc_info_meta`
  ADD PRIMARY KEY (`info_meta_id`),
  ADD KEY `info_id` (`info_id`),
  ADD KEY `info_meta_key` (`info_meta_key`);
  
ALTER TABLE `dc_log`
  ADD PRIMARY KEY (`log_id`),
  ADD KEY `log_user_id` (`log_user_id`),
  ADD KEY `log_info_id` (`log_info_id`),
  ADD KEY `log_status` (`log_status`),
  ADD KEY `log_module` (`log_module`),
  ADD KEY `log_controll` (`log_controll`),
  ADD KEY `log_action` (`log_action`),
  ADD KEY `log_type` (`log_type`);

ALTER TABLE `dc_op`
  ADD PRIMARY KEY (`op_id`),
  ADD KEY `op_module` (`op_module`),
  ADD KEY `op_status` (`op_status`);

ALTER TABLE `dc_term`
  ADD PRIMARY KEY (`term_id`),
  ADD KEY `term_name` (`term_name`),
  ADD KEY `term_slug` (`term_slug`),
  ADD KEY `term_status` (`term_status`),
  ADD KEY `term_type` (`term_type`),
  ADD KEY `term_parent` (`term_parent`),
  ADD KEY `term_module` (`term_module`),
  ADD KEY `term_controll` (`term_controll`),
  ADD KEY `term_action` (`term_action`);

ALTER TABLE `dc_term_map`
  ADD KEY `map_term_id` (`term_id`),
  ADD KEY `map_info_id` (`detail_id`);

ALTER TABLE `dc_term_meta`
  ADD PRIMARY KEY (`term_meta_id`),
  ADD KEY `term_id` (`term_id`),
  ADD KEY `term_meta_key` (`term_meta_key`);

ALTER TABLE `dc_user`
  ADD PRIMARY KEY (`user_id`),
  ADD KEY `user_name` (`user_name`),
  ADD KEY `user_email` (`user_email`),
  ADD KEY `user_status` (`user_status`);

ALTER TABLE `dc_user_meta`
  ADD PRIMARY KEY (`user_meta_id`),
  ADD KEY `user_id` (`user_id`),
  ADD KEY `user_meta_key` (`user_meta_key`);

ALTER TABLE `dc_info`
  MODIFY `info_id` bigint(20) NOT NULL AUTO_INCREMENT;

ALTER TABLE `dc_info_meta`
  MODIFY `info_meta_id` bigint(20) NOT NULL AUTO_INCREMENT;

ALTER TABLE `dc_log`
  MODIFY `log_id` bigint(20) NOT NULL AUTO_INCREMENT;

ALTER TABLE `dc_op`
  MODIFY `op_id` bigint(20) NOT NULL AUTO_INCREMENT;

ALTER TABLE `dc_term`
  MODIFY `term_id` bigint(20) NOT NULL AUTO_INCREMENT;

ALTER TABLE `dc_term_meta`
  MODIFY `term_meta_id` bigint(20) NOT NULL AUTO_INCREMENT;

ALTER TABLE `dc_user`
  MODIFY `user_id` bigint(20) NOT NULL AUTO_INCREMENT;

ALTER TABLE `dc_user_meta`
  MODIFY `user_meta_id` bigint(20) NOT NULL AUTO_INCREMENT;